Commet
  • Precios
Iniciar SesiónRegistrarse
Create offer POSTDelete offer DELETEGet offer GETList offers GETUpdate offer PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Delete offer

Soft-delete an offer. Existing applications and their accepted terms remain available for billing and audit.

DELETE
/offers/{id}

Soft-delete an offer. Existing applications and their accepted terms remain available for billing and audit.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/offers/string"
{  "deleted": true,  "object": "offer",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create offer POST

Create a canonical offer scoped to one or more plan prices. Currency-specific phases require an explicit USD value and never fall back across currencies.

Get offer GET

Retrieve a canonical offer by its public ID.